---
layout: docs
page_title: targets update - Command
description: >-
  The "targets update" command updates an existing target resource.
---

⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️
> [!IMPORTANT]  
> **Documentation Update:** Product documentation previously located in `/website` has moved to the [`hashicorp/web-unified-docs`](https://github.com/hashicorp/web-unified-docs) repository, where all product documentation is now centralized. Please make contributions directly to `web-unified-docs`, since changes to `/website` in this repository will not appear on developer.hashicorp.com.
⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️

# targets update

Command: `targets update`

The `targets update` command lets you update a target.

## Example

This example updates a TCP target with the ID `ttcp_1234567890` to add the name `devops` and the description `For DevOps usage`:

```shell-session
$ boundary targets update tcp -id ttcp_1234567890 -name devops -description "For DevOps usage"
```

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary targets update [type] [sub command] [options] [args]

Please see the typed subcommand help for detailed usage information.

Subcommands:
    rdp    Update an rdp-type target (HCP & Boundary Enterprise only)
    ssh    Update a ssh-type target (HCP & Boundary Enterprise only)
    tcp    Update a tcp-type target
```

</CodeBlockConfig>

### Usages by type

You can update RDP, SSH, or TCP targets.

<Tabs>
<Tab heading="RDP">

The `targets update rdp` command lets you update existing RDP targets.

#### Example

This example updates an RDP target with the id `rdp_1234567890` to add the name `devops` and the description `RDP target for DevOps`:

```shell-session
$ boundary targets update rdp -id trdp_1234567890 -name "devops" -description "RDP target for DevOps"
```

#### Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary targets update rdp [options] [args]
```

</CodeBlockConfig>

#### RDP target options

- `-address=<string>` - An optional valid network address for the target to connect to.
You cannot use an address alongside host sources.

  If you set a target address for RDP targets that use Kerberos authentication, use the target's hostname and append the domain to it, for example `target-hostname.mydomain.com`. For RDP targets that use NTLM authentication, set the target address to the target's IP address.
- `-default-client-port=<string>` - The default client port on the target.
- `-default-port=<string>` - The default port on the target.
Due to a port conflict on modern Windows operating systems (Windows 11+, Windows Server 2025), transparent sessions cannot use the default RDP port `3389`.
You must configure a custom port to use transparent sessions with RDP targets.

  Refer to [Using transparent sessions with RDP on Windows](/boundary/docs/credentials/rdp-testing-and-compatibility-matrix#using-transparent-sessions-with-rdp-on-windows) for more information about configuring a custom port for transparent sessions.
- `-egress-worker-filter=<string>` - A Boolean expression that filters which egress workers can process sessions for the target.
- `-ingress-worker-filter=<string>` - A Boolean expression that filters which ingress workers can process sessions for the target.
- `-session-connection-limit=<string>` - The maximum number of connections allowed for a session.
A value of `-1` means the connections are unlimited.
- `-session-max-seconds=<string>` - The maximum lifetime of the session, including all connections.
You can specify an integer number of seconds or a duration string.
If you do not specfiy a maximum duration, Boundary uses the default value of 8 hours (28800 seconds).

</Tab>
<Tab heading="SSH">

The `targets update ssh` command lets you update SSH targets.

#### Example

This example updates an SSH target with the ID `tssh_1234567890` to add the name `devops` and the description `SSH target for DevOps`:

```shell-session
$ boundary targets update ssh -id tssh_1234567890 -name "devops" -description "SSH target for DevOps"
```

#### Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary targets update ssh [options] [args]
```

</CodeBlockConfig>

#### SSH target options

- `-address=<string>` - An optional valid network address for the target to connect to.
You cannot use an address alongside host sources.
- `-default-client-port=<string>` - The default client port on the target, if set.
- `-default-port=<string>` - The default port on the target, if set.
If you do not specify a default port, Boundary uses port 22.
- `-egress-worker-filter=<string>` - A Boolean expression that filters which egress workers can process sessions for the target.
- `-enable-session-recording=<string>` - A Boolean expression you can use to enable session recording for the target.
- `-ingress-worker-filter=<string>` - A Boolean expression that filters which ingress workers can process sessions for the target.
- `-session-connection-limit=<string>` - The maximum number of connections allowed for a session.
A value of `-1` means the connections are unlimited.
- `-session-max-seconds=<string>` - The maximum lifetime of the session, including all connections.
You can specify an integer number of seconds or a duration string.
If you do not specfiy a maximum duration, Boundary uses the default value of 8 hours (28800 seconds).
- `-storage-bucket-id=<string>` - The public ID of the storage bucket you want to associate with the target.


</Tab>
<Tab heading="TCP">

The `targets update tcp` command lets you update TCP targets.

#### Example

This example updates a TCP target with the ID `ttcp_1234567890` to add the name `devops` and the description `TCP target for DevOps`:

```shell-session
$ boundary targets update tcp -id ttcp_1234567890 -name "devops" -description "TCP target for DevOps"
```

#### Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary targets update tcp [options] [args]
```

</CodeBlockConfig>

#### TCP target options

- `-address=<string>` - An optional valid network address for the target to connect to.
You cannot use an address alongside host sources.
- `-default-client-port=<string>` - The default client port on the target, if set.
- `-default-port=<string>` - The default port on the target, if set.
If you do not specify a default port, Boundary uses port 22.
- `-egress-worker-filter=<string>` - A Boolean expression that filters which egress workers can process sessions for the target.
- `-ingress-worker-filter=<string>` - A Boolean expression that filters which ingress workers can process sessions for the target.
- `-session-connection-limit=<string>` - The maximum number of connections allowed for a session.
A value of `-1` means the connections are unlimited.
- `-session-max-seconds=<string>` - The maximum lifetime of the session, including all connections.
You can specify an integer number of seconds or a duration string.
If you do not specfiy a maximum duration, Boundary uses the default value of 8 hours (28800 seconds).
- `-worker-filter=<string>` - This option is deprecated.
Use the egress or ingress filters instead.

</Tab>
</Tabs>

@include 'cmd-option-note.mdx'